# Uses of Enum Class org.bukkit.event.inventory.InventoryType (Scissors-API 1.19-R0.1-SNAPSHOT API)
use: package: org.bukkit.event.inventory, enum: InventoryType

# Uses of Enum Class
org.bukkit.event.inventory.InventoryType

Packages that use InventoryType
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.event.inventory
`Events` relating to `inventory` manipulation.
org.bukkit.inventory
Classes involved in manipulating player inventories and item interactions.

## Uses of InventoryType in org.bukkit

Methods in org.bukkit with parameters of type InventoryType
Modifier and Type
Method
Description
`static @NotNull Inventory`
Bukkit.`createInventory(@Nullable InventoryHolder owner, @NotNull InventoryType type)`
Creates an empty inventory with the specified type.
`static @NotNull Inventory`
Bukkit.`createInventory(@Nullable InventoryHolder owner, @NotNull InventoryType type, @NotNull String title)`
Deprecated.
in favour of `Bukkit.createInventory(InventoryHolder, InventoryType, net.kyori.adventure.text.Component)`
`static @NotNull Inventory`
Bukkit.`createInventory(@Nullable InventoryHolder owner, @NotNull InventoryType type, Component title)`
Creates an empty inventory with the specified type and title.
`@NotNull Inventory`
Server.`createInventory(@Nullable InventoryHolder owner, @NotNull InventoryType type)`
Creates an empty inventory with the specified type.
`@NotNull Inventory`
Server.`createInventory(@Nullable InventoryHolder owner, @NotNull InventoryType type, @NotNull String title)`
Deprecated.
in favour of `Server.createInventory(InventoryHolder, InventoryType, net.kyori.adventure.text.Component)`
`@NotNull Inventory`
Server.`createInventory(@Nullable InventoryHolder owner, @NotNull InventoryType type, Component title)`
Creates an empty inventory with the specified type and title.

## Uses of InventoryType in org.bukkit.event.inventory

Methods in org.bukkit.event.inventory that return InventoryType
Modifier and Type
Method
Description
`static InventoryType`
InventoryType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InventoryType[]`
InventoryType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of InventoryType in org.bukkit.inventory

Methods in org.bukkit.inventory that return InventoryType
Modifier and Type
Method
Description
`@NotNull InventoryType`
Inventory.`getType()`
Returns what type of inventory this is.
`abstract @NotNull InventoryType`
InventoryView.`getType()`
Determine the type of inventory involved in the transaction.
`@NotNull InventoryType`
InventoryView.Property.`getType()`